package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBMaintenanceDetails entity.
 */
public class TBMaintenanceDetailsDTO implements Serializable {

    private Long id;

    private Instant startTime;

    private Integer durationInMins;

    private String action;

    private String description;

    private Integer status;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long tbEquipmentOfCustomerId;

    private Long tbMaintenanceScheduleId;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Instant getStartTime() {
        return startTime;
    }

    public void setStartTime(Instant startTime) {
        this.startTime = startTime;
    }

    public Integer getDurationInMins() {
        return durationInMins;
    }

    public void setDurationInMins(Integer durationInMins) {
        this.durationInMins = durationInMins;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getTbEquipmentOfCustomerId() {
        return tbEquipmentOfCustomerId;
    }

    public void setTbEquipmentOfCustomerId(Long tBEquipmentOfCustomerId) {
        this.tbEquipmentOfCustomerId = tBEquipmentOfCustomerId;
    }

    public Long getTbMaintenanceScheduleId() {
        return tbMaintenanceScheduleId;
    }

    public void setTbMaintenanceScheduleId(Long tBMaintenanceScheduleId) {
        this.tbMaintenanceScheduleId = tBMaintenanceScheduleId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBMaintenanceDetailsDTO tBMaintenanceDetailsDTO = (TBMaintenanceDetailsDTO) o;
        if (tBMaintenanceDetailsDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBMaintenanceDetailsDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBMaintenanceDetailsDTO{" +
            "id=" + getId() +
            ", startTime='" + getStartTime() + "'" +
            ", durationInMins=" + getDurationInMins() +
            ", action='" + getAction() + "'" +
            ", description='" + getDescription() + "'" +
            ", status=" + getStatus() +
            ", createdDate='" + getCreatedDate() + "'" +
            ", modifiedDate='" + getModifiedDate() + "'" +
            ", deletedDate='" + getDeletedDate() + "'" +
            ", tbEquipmentOfCustomer=" + getTbEquipmentOfCustomerId() +
            ", tbMaintenanceSchedule=" + getTbMaintenanceScheduleId() +
            ", createdBy=" + getCreatedById() +
            ", modifiedBy=" + getModifiedById() +
            ", deletedBy=" + getDeletedById() +
            "}";
    }
}
